Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IVStripeShiftMap

    java.lang.Object
      igeo.IMap
          igeo.IVStripeShiftMap

    public class IVStripeShiftMap

extends IMap

A subclass of IMap defined by another map and parameter shift in v direction in a stripe way in u direction

Author:
  Satoru Sugihara

Field Summary
`java.util.ArrayList<java.lang.Double>` | `domains`
`IMap` | `origMap`
`java.util.ArrayList<java.lang.Double>` | `shiftAmounts`

Fields inherited from class igeo.IMap
`defaultDensityHeight, defaultDensityWidth, defaultExportHeight, defaultExportWidth, densityMinDelta, uIntegration, vIntegration`

Constructor Summary
`IVStripeShiftMap(IMap originalMap)`
`IVStripeShiftMap(IMap originalMap, double shift)`

Method Summary
`void` | `addShift(double domain, double shiftAmount)`
`double` | `get(double u, double v)` A main method to get a value of the map.
`double` | `getShift(double x)`

Methods inherited from class igeo.IMap
`createImage, createImage, flipU, flipV, get, initDensityMapU, initDensityMapU, initDensityMapV, initDensityMapV, matchUDensityWithMap, matchUDensityWithMap, matchVDensityWithMap, matchVDensityWithMap, project, projectU, projectV, saveAsJPEG, saveAsJPEG, saveAsPNG, saveAsPNG, scaleDensityMapU, scaleDensityMapV`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### domains

    public java.util.ArrayList<java.lang.Double> domains

### shiftAmounts

    public java.util.ArrayList<java.lang.Double> shiftAmounts

### origMap

    public IMap origMap

Constructor Detail

### IVStripeShiftMap

    public IVStripeShiftMap(IMap originalMap)

### IVStripeShiftMap

    public IVStripeShiftMap(IMap originalMap,
                            double shift)

Method Detail

### addShift

    public void addShift(double domain,
                         double shiftAmount)

### get

    public double get(double u,
                      double v)

  Description copied from class: `IMap`
  A main method to get a value of the map. This method should be overwritten by child classes to have preferable behavior returning value of the map ranging 0.0 - 1.0.

  Overrides:
    `get` in class `IMap`
  Parameters:
    `u` - u coordinates ranges 0.0 - 1.0
    `v` - v coordinates ranges 0.0 - 1.0
  Returns:
    value of the map.

### getShift

    public double getShift(double x)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD